#pragma once

#include <stdint.h>

namespace sm83dis
{
    void loadSymbols();
    void saveSymbols();
    const char *getAsm(const uint16_t pos);
    const char *getOpcode(const uint16_t pos);
    const int getOpcodeSize(const uint16_t pos);
    const char *getSymbol(const uint16_t pos);
    void setSymbol(const uint16_t pos, const char *sym);

    const int getNumSymbols();
    const uint16_t getSymbolAddress(const int pos);
}
